petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESFASSetNumberSmoothDown

Sets the number of pre-smoothing steps to use on all levels.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASSetNumberSmoothDown(SNES snes, PetscInt n)

Logically Collective on SNES Many br

### Input Parameters

| snes | - the multigrid context Many br
| n | - the number of smoothing steps Many br

### Options Database Key

-snes_fas_smoothdown <n> -Sets number of pre-smoothing steps Many br

Many br

### Keywords

FAS, MG, smooth, down, pre-smoothing, steps, multigrid

### See Also

SNESFASSetNumberSmoothUp()

Level:advanced
Location:src/snes/impls/fas/fasfunc.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages